Index: /extensions/NBC_UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 8134)
+++ /extensions/NBC_UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 8135)
@@ -2,201 +2,224 @@
 global $lang;
 
-/*TODO*/$lang['UAM_restricTitle'] = 'Restrictions for registrations';
-/*TODO*/$lang['UAM_confirmTitle'] = 'Confirmations and validations of registration';
-/*TODO*/$lang['UAM_confirmTitle_d'] = '
-- Information email generation<br>
-- Register validation email generation<br>
-- Groups or status auto joining<br>
-- Deadline for registration validation<br>
-- Reminder email generation<br>
+$lang['UAM_restricTitle'] = 'Reģistrācijas ierobežojumi';
+$lang['UAM_confirmTitle'] = 'Reģistrācijas pārbaude un apstiprināšana';
+$lang['UAM_confirmTitle_d'] = '
+- Informācijas e-pasta ģenerēšana<br>
+- Reģistrācijas pārbaudes e-pasta ģenerēšana<br>
+- Autopievienošanās grupas vai statusa ģenerēšana<br>
+- Reģistrācijas robežlīnijas pārbaude<br>
+- Atgādinājuma e-pasta ģenerēšana<br>
 ...
 ';
-/*TODO*/$lang['UAM_miscTitle'] = 'Registration followed and other options';
-/*TODO*/$lang['UAM_carexcTitle'] = 'Usernames: Exclusion of characters';
-/*TODO*/$lang['UAM_carexcTitle_d'] = 'It may be interesting to prohibit certain characters in usernames (example: refuse logins containing &quot;@&quot;). This option allows to exclude characters or sequence of characters, events.<br>
-NB: The option can also exclude whole words.
-<br><br>
-<b style=&quot;color: red;&quot;>Warning: This option has no effect on the user names created prior to its activation.</b>';
-/*TODO*/$lang['UAM_passwTitle'] = 'Strengthening the security level of passwords';
-/*TODO*/$lang['UAM_passwTitle_d'] = 'Enabling this option makes mandatory the seizure of a password upon registration, and requires the password chosen by the visitor to meet a minimum level of complexity. If the threshold is not reached, the score achieved and the minimum score to be achieved are displayed, along with recommendations to increase the value of this score.<br><br>
-There is field test to measure the complexity of a password, and can afford to get an idea of the score to define complex custom.<br><br>
-Note: The score of a password is calculated based on several parameters: length, type of characters used (letters, digits, uppercase, lowercase, special characters). A score below 100 is considered low, from 100 to 500, the complexity is average; beyond 500, the security is excellent.';
-/*TODO*/$lang['UAM_passwtestTitle'] = 'Testing the complexity of a password';
-/*TODO*/$lang['UAM_passwtestTitle_d'] = 'Enter the password to test and then click on &quot;Score calculation&quot; to see the result.';
-/*TODO*/$lang['UAM_passwadmTitle'] = 'Applying to administrators';
-/*TODO*/$lang['UAM_passwadmTitle_d'] = 'An administrator can create a user account with or without application of the rule of computing complexity.<br><br>
-Note: If the user account created wants to change password and strengthening passwords for users is active, it will be subject to the rule set.';
-/*TODO*/$lang['UAM_mailexcTitle'] = 'Exclusion of mail domains';
-/*TODO*/$lang['UAM_infomailTitle'] = 'Information email to user';
-/*TODO*/$lang['UAM_infomailTitle_d'] = 'This option allows to automate sending an information email to a user when registering or when changes his password or email address in their profile.<br><br>
-The content of the message sent is composed of a customizable part to introduce a little welcome note and a fixed part indicating the login, password and email address of the user.';
-/*TODO*/$lang['UAM_infotxtTitle'] = 'Customizing the information email';
-/*TODO*/$lang['UAM_confirmtxtTitle'] = 'Customizing the confirmation email';
-/*TODO*/$lang['UAM_confirmgrpTitle'] = 'Validation Groups';
-/*TODO*/$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : Using validation groups requires that you have created at least one users group and is defined &quot;by default&quot; in Piwigo\'s user groups management.</b><br><br>
-The groups are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
-/*TODO*/$lang['UAM_confirmstatTitle'] = 'Validation Statutes';
-/*TODO*/$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : The use of status validation requires that you have kept the &quot;Guest&quot; user with default setting (as user template) for new registered. Note you can set any other user as a template for new registered. Please refer to the Piwigo\'s documentation for more details.</b><br><br>
-The Statutes are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
-/*TODO*/$lang['UAM_validationlimitTitle'] = 'Deadline for registration validation limited';
-/*TODO*/$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of key validation email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the validation link will expire.<br><br>
-This option is used in conjunction with the &quot;Confirmation of registration&quot;';
-/*TODO*/$lang['UAM_remailTitle'] = 'Remind unvalidated users';
-/*TODO*/$lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not validated their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;<br><br>
-2 types of emails can be sent: With or without regeneration of the validation key. As appropriate, the content of emails can be customized.<br><br>
-Refer to the &quot;Tracking validations&quot; tab.';
-/*TODO*/$lang['UAM_remailtxt1Title'] = 'Reminder email with new key generated';
-/*TODO*/$lang['UAM_remailtxt2Title'] = 'Reminder email without new key generated';
-/*TODO*/$lang['UAM_ghosttrackerTitle'] = 'Ghost visitors management';
-/*TODO*/$lang['UAM_gttextTitle'] = 'Ghost Tracker\'s reminder message';
-/*TODO*/$lang['UAM_lastvisitTitle'] = 'Tracking registered users';
-/*TODO*/$lang['UAM_lastvisitTitle_d'] = 'This activates a table in the &quot;Tracking users&quot; tab which are registered users listed on the gallery and the date of their last visit and time spent (in days) since their last visit. Monitoring is purely informative for the administrator of the gallery.';
-/*TODO*/$lang['UAM_commentTitle'] = 'Nickname mandatory for guests comments';
-/*TODO*/$lang['UAM_commentTitle_d'] = 'If &quot;Comments for All&quot; is active (authority to unregistered visitors to post comments), this option allows to force the non-registered visitor to enter a nickname that the comment is accepted.';
-/*TODO*/$lang['UAM_tipsTitle'] = 'Tips and Examples';
-/*TODO*/$lang['UAM_tipsTitle_d'] = 'Tips and various examples of use';
-/*TODO*/$lang['UAM_userlistTitle'] = 'Tracking users';
-/*TODO*/$lang['UAM_usermanTitle'] = 'Tracking validations';
-/*TODO*/$lang['UAM_gtTitle'] = 'Ghost visitors management';
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.14.0
-/*TODO*/$lang['UAM_adminconfmailTitle'] = 'Confirmation of registration for admins';
-/*TODO*/$lang['UAM_adminconfmailTitle_d'] = 'You can disable this validation only for user accounts created by the administrator via Piwigo\'s users management interface.<br><br>
-By activating this option, email validation for registration will be sent to each user created by admin.<br><br>
-By disabling this option (default), only the email information is sent (if &quot;Information email to user&quot; is enabled).';
-// --------- End: New or revised $lang ---- from version 2.14.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.0
-/*TODO*/$lang['UAM_confirmmail_custom1'] = 'Text of the confirmation page - Confirmation accepted';
-/*TODO*/$lang['UAM_confirmmail_custom2'] = 'Text of the confirmation page - Confirmation rejected';
-// --------- End: New or revised $lang ---- from version 2.15.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.2
-/*TODO*/$lang['UAM_casenTitle_d'] = 'By default, Piwigo is case sensitive: Uppercase and lowercase letters are considered different letters in the names chosen by users at registration. Thus, &quot;Foo&quot;, &quot;foo&quot; and &quot;FOO&quot; may be 3 different users.<br><br>
-Enabling this option allows to consider all options in case of &quot;foo&quot; as one user. If &quot;foo&quot; already exists, creating a new user &quot;Foo&quot; will be refused.<br><br>
-<b style=&quot;color: red;&quot;>Warning: This option has no effect on the user names created prior to its activation.</b>';
-// --------- End: New or revised $lang ---- from version 2.15.2
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.4
-/*TODO*/$lang['UAM_restricTitle_d'] = '
-- Characters exclusion<br>
-- Password enforcement<br>
-- Email domains exclusion<br>
+$lang['UAM_miscTitle'] = 'Pēcreģistrācijas un citas iespējas (options)';
+$lang['UAM_miscTitle_d'] = '
+- Ghost (neredzamo) lietotāju pārvaldība<br>
+- Sekojošie reģistrētie lietotāji<br>
+- Viesu komentāriem obligāts Nikneims (iesauka)<br>
 ...
 ';
-/*TODO*/$lang['UAM_userlistTitle_d'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
-<br><br>
-<b><u>Only when the Ghost Tracker is active</u></b>, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
-<br>
-- <b style=&quot;color: lime;&quot;>Green</b> : When the user has visited the gallery <b style=&quot;color: lime;&quot;><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style=&quot;color: orange;&quot;>Orange</b> : When the user has visited the gallery <b style=&quot;color: orange;&quot;><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style=&quot;color: red;&quot;>Red</b> : When the user has visited the gallery <b style=&quot;color: red;&quot;><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
-<br>
-Example :
-<br>
-The maximum period of Ghost Tracker is configured to 100 days.
-<br>
-A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
-<br><br>
-<b>NOTE</b>: The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.
-<br><br>
-<b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-/*TODO*/$lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to validate.<br><br>
-The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the validation key is still valid and we can send an email with or without a new validation key.<br><br>
-When the registration date appears in red, the validation period has expired. In this case, you must send an email with regeneration of validation key if you want to enable the user to validate their registration.<br><br>
-In all cases, it is possible to manually force the validation.<br><br>
-In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
-<br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
-<br>
-- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
-<br><br>
-<b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-/*TODO*/$lang['UAM_gtTitle_d'] = 'When Ghost Tracker is enabled and initialized, you will find below the list of registered visitors who have not returned since x days. &quot;x&quot; is the number of days configured in the General Setup tab. In addition, you will find a column indicating whether an email reminder has been sent to targeted visitors. So, you can see at a glance and treat visitors who have not taken account of the reminder.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>with resetting the last visit date</b>. This allows to give a wildcard to targeted visitors. If the visitor has already received a reminder, nothing prevents to resent a new mail which will reset again, in fact, the last visit date.
-<br><br>
-<b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-/*TODO*/$lang['UAM_confirmmailTitle'] = 'Confirmation of registration';
-/*TODO*/$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
-In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
-Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
-<br><br>
-In second case, <b><u>there is no validation key send by email!</u></b>. Visitors have to wait until an administrator validate them himself in &quot;Validation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
-<br>
-<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for registration validation limited&quot; and &quot;Remind unvalidated users  &quot; have to be set to off when admin\'s manual validation is enabled.</b>
-<br><br>
-This option is generally used with the automatic assignment of group and/or statutes. For example, a user who has not validated their registration will be set in a specific group of users (with or without restrictions on the gallery) while a user who validated his registration shall be set in a &quot;normal&quot; group.';
-/*TODO*/$lang['UAM_RedirTitle'] = 'Redirect to &quot;Customization&quot; page';
-// --------- End: New or revised $lang ---- from version 2.15.4
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.6
-/*TODO*/$lang['UAM_RedirTitle_d'] = 'This option automatically redirect a registered user to his customization page only at his first connection to the gallery.<br><br>
-Please note: This feature does not apply to all registered users. Those with &quot;admin&quot;, &quot;webmaster&quot; or &quot;generic&quot; status are excluded.';
-// --------- End: New or revised $lang ---- from version 2.15.6
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.16.0
-/*TODO*/$lang['UAM_ghosttrackerTitle_d'] = 'Also called &quot;Ghost Tracker&quot;, when this function is activated, you can manage your visitors depending on the frequency of their visits. 2 operating modes are available:<br><br>
-- Gestion manuelle : When the time between 2 visits is reached,, the visitor appears in the &quot;Ghost Tracker&quot; table where you will be able to remind visitors via email or delete him.<br><br>
-- Gestion automatisée : When the period between 2 successive visits is reached, the visitor is automatically deleted or moved into a wait group and/or status. In this second case, an information email can be sent to him.<br><br>
-<b style=&quot;color: red;&quot;>Important note : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker (see corresponding instructions on &quot;Ghost Tracker&quot; tab).</b>';
-/*TODO*/$lang['UAM_miscTitle_d'] = '
-- Automatic or manual management of ghosts users<br>
-- Followed registered users<br>
-- Nickname mandatory for guests comments<br>
+$lang['UAM_casenTitle'] = 'Lietotājvārdi: Reģistrjutīgs';
+$lang['UAM_carexcTitle'] = 'Lietotājvārdi: Rakstzīmju izņēmumi';
+$lang['UAM_carexcTitle_d'] = 'Varētu būt saistoši aizliegt izmantot lietotājvārdos kādas noteiktas rakstzīmes (piemēram: noraidīt loginus saturošus &quot;@&quot;). Šī iespēja ļauj izslēgt rakstzīmes vai rakstzīmju secību, notikumus.<br>
+NB: Šī iespēja ļauj izslēgt arī veselus vārdus.
+<br><br>
+<b style=&quot;color: red;&quot;>Uzmanību: Šī opcija neatstāj iespaidu uz lietotājvārdiem, kas izveidoti pirms to aktivēšanas.</b>';
+$lang['UAM_passwTitle'] = 'Paroļu drošības līmeņa paaugstināšana';
+$lang['UAM_passwTitle_d'] = 'Šīs opcijas iespējošana padara par obligātu paroles ietveršanu reģistrējoties, un pieprasa, lai apmeklētāju izvēlētā parole atbilstu minimālajam komplicētības prasībām. Ja šis līmenis nav sasniegts, tiem parādīts sasniegtais komplicētības rādītājs, minimāli pieļaujamais slieksnis, kā arī ieteikumi, kas jādara, lai sasniegtu labāku rezultātu.<br><br>
+Pastāv paroles lauka tests, kas mēra paroles komplicētības pakāpi, un var sniegt padomu, kā uzlabot un padarīt šo rezultātu labāku.<br><br>
+Note: Komplicētības rādītājs tiek aprēķināts izmantojot vairākus parametrus:
+garumu, izmantoto rakstzīmju tipu (burti, cipari, lielie burti, mazie burti, speciālās rakstzīmes). Rezultāts zem100 tiek atzīts par nepietiekami zemu (low), no 100 līdz 500, kā vidēji sarežģīts; virs 500, drošības līmenis ir lielisks.';
+$lang['UAM_passwtestTitle'] = 'Paroles komplicētības testēšana';
+$lang['UAM_passwtestTitle_d'] = 'Ievadiet testēšanao paredzēto paroli un klikšķiniet uz&quot;Score calculation&quot; lai redzētu rezultātu.';
+$lang['UAM_passwadmTitle'] = 'Attiecas uz administratoriem';
+$lang['UAM_passwadmTitle_d'] = 'Administrators var izveidot lietotāja kontu ar vai bez paroles komplicētības pārbaudes aplikāciju.<br><br>
+Note: Ja lietotājs, kura konts jau izveidots, grib nomainīt savu paroli un ir aktīva paroles stingrības uzlabišanas aplikācija, būs jāievēro visi stingrības uzlabošanas noteikumi.';
+$lang['UAM_mailexcTitle'] = 'E-Pasta domēnu izslēgšana';
+$lang['UAM_infomailTitle'] = 'Lietotājiem e-nosūtāmā informācija';
+$lang['UAM_infomailTitle_d'] = 'Šī opcija ļauj automātiski ar e-pastu nosūtīt lietotājam informatīvu ziņu par reģistrāciju vai profila paroles vai e-pasta adreses maiņu.<br><br>
+Nosūtāmā ziņa kompozicionāli sastāv no pielāgojamās daļas, maza ievada un fiksētās daļas, kas ietver info par lietotāja loginu, paroli un e-pasta adresi.';
+$lang['UAM_infotxtTitle'] = 'Informatīvā e-pastra pielāgošana';
+$lang['UAM_confirmtxtTitle'] = 'Apstiprinājuma e-pasta pielāgošana';
+$lang['UAM_confirmgrpTitle'] = 'Pārbaudāmās Grupas';
+$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color:
+red;&quot;>UZMANĪBU : Pārbaudāmo grupu lietošana pieprasa, ka esat izveidojis vismaz vienu lietotājgrupu un, ka tā ir definēta &quot; pēc noklusējuma &quot; Piwigo grupu lietotāju pārvaldītājā.</b><br><br>
+Grupas ir validētas (apstiprināti) lietošanai sasaistē ar (apstiprinājums un reģistrācija) &quot;Confirmation of registration&quot;';
+$lang['UAM_confirmstatTitle'] = 'Validācijas statūti';
+$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color:
+red;&quot;>UZMANĪBU : Statusa pārbaudes lietošana prasa, lai lietotājam &quot;Guest&quot; jaunai reģistrācijai būtu iestatījumi pēc noklusējuma (kā lietotāja paraugā). Nēmiet vērā, ka ir iespējams par paraugu jaunai reģistrācijai izmantot jebkuru citu lietotāju. Papildus informācijai, lūdzu izmantojiet Piwigo dokumentāciju.</b><br><br>
+Statūti ir validēti lietošanai sasaistē ar (apstiprinājums un reģistrācija)  &quot;Confirmation of registration&quot;';
+$lang['UAM_validationlimitTitle'] = 'Reģistrācijas validācijas termiņa ierobežošana';
+$lang['UAM_validationlimitTitle_d'] = 'Šī opcija ļauj ierobežot jaunajiem reģistrantiem nosūtīto atslēgas validācijas e-pastu validitāti. Lietotājiem, kuri reģistrējas ir x dienas laika, lai apstiprinātu savu reģistrāciju. Pēc šī laika beigsies validācijas saite derīgums.<br><br>
+Šī opcija tiek lietota sasaistē ar &quot;Confirmation of registration&quot;';
+$lang['UAM_remailTitle'] = 'Atgādināt nevalidētos lietotājus';
+$lang['UAM_remailTitle_d'] = 'Šī iespēja ļauj nosūtīt atgādinājuma e-pastus reģistrētajiem, bet laikā neveikušajiem validāciju, lietotājiem. Tādēļ ši opcija strādā sasaistē ar (apstiprinājumu un reģistrāciju) &quot;Confirmation of registration&quot;<br><br>
+Var tikt nosūtītas 2 tipu e-vēstules: Ar vai bez validācijas atslēgas reģistrāciju. Ja nepieciešams, e-vēstules saturu var pielāgot.<br><br>Attiecas uz &quot;Validāciju izsekošanas&quot; iezīmi(tab).';
+$lang['UAM_remailtxt1Title'] = 'Atgādinājuma e-vēstule ar jauni uzģenerēto atslēgu';
+$lang['UAM_remailtxt2Title'] = 'Atgādinājuma e-vēstule bez jauni uzģenerētās atslēgas';
+$lang['UAM_ghosttrackerTitle'] = 'Ghost (slēpto) apmeklētāju pārvaldība';
+$lang['UAM_ghosttrackerTitle_d'] = 'Arī saukts par &quot;Ghost Tracker&quot; (spoku izsekotāju), kad šī funkcija aktivēta, iespējams sekot lietotājiem atkarībā no to apmeklējuma biežuma. Kad tiek sasniegts laiks starp diviem apmeklējumiem, iekš &quot;Ghost Tracker&quot; tabulas parādās ampmeklētājs ar jautājuma zīmi, kur ar e-pasta palīdzību var nosūtīt atgādinājumu.<br><br>
+<b style=&quot;color: red;&quot;>Ja iespējojat šo iespēju pirmo reizi vai reaktivējat pēc lielāka laika perioda, kurā reģistrējušies jauni lietotāji, ir jāinicializē vai jāveic Ghost Tracker reset operācija.</b>';
+$lang['UAM_gttextTitle'] = 'Ghost Tracker atgādinājuma ziņojums';
+$lang['UAM_lastvisitTitle'] = 'Reģistrēto lietotāju izsekošana (Tracking)';
+$lang['UAM_lastvisitTitle_d'] = 'Šis aktivē tabulu &quot;Tracking users&quot; iezīmē (tabā), kurā reģistrēti galeriju apmeklējušie lietotāji, viņu pēdējā apmeklējuma datums, kā arī galerijā pavadītais laiks (dienās) kopš pēdējā apmeklējuma. Monitoringam ir tīri informatīvs raksturs galerijas administratora vajadzībām.';
+$lang['UAM_commentTitle'] = 'Viesa komentāriem obligāts Nickname (segvārds)';
+$lang['UAM_commentTitle_d'] = 'Ja &quot;Comments for All&quot; (komentāri visiem) ir aktīvs (pilnvaras neriģestrētiem lietotājiem pievienot komentārus), šī opcija dod iespēju piespiest nereģistrētos apmeklētājus lietot segvārdu, lai akceptētu savu komentāru.';
+$lang['UAM_tipsTitle'] = 'Padomi un Piemēri';
+$lang['UAM_tipsTitle_d'] = 'Padomi un dažādi izmantošanas piemēri';
+$lang['UAM_userlistTitle'] = 'Lietotāju izsekošana';
+$lang['UAM_usermanTitle'] = 'Validāciju izsekošana';
+$lang['UAM_gtTitle'] = 'Ghost (slēpto) apmeklētāju vadība';
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.14.0
+$lang['UAM_adminconfmailTitle'] = 'Reģistrācijas apliecinājums adminiem';
+$lang['UAM_adminconfmailTitle_d'] = 'Jūs varat atspējot šo apstiprināšanu tikai tiem lietotāju kontiem, ko izveidojis administrators, lietojot Piwigo lietotāju vadības saskarni.<br><br>
+Aktivizējot šo iespēju, katram administratora izveidotajam lietotājam tiks nosūtīta elektroniskā pasta vēstuve ar reģistrācijas apstiprinājumu.<br><br>
+Atspējojot šo iespēju (pēc noklusējuma), tiek nosūtīta tikai e-pasta informācija (ja &quot;Information email to user&quot;(Informācijas e-pasts lietotājam) ir iespējots).';
+// --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom1'] = 'Apstiprinājuma lapas teksts – Apstiprinājums akceptēts';
+$lang['UAM_confirmmail_custom2'] = 'Apstiprinājuma lapas teksts – Apstiprinājums noraidīts';
+// --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.2
+$lang['UAM_casenTitle_d'] = 'Pēc noklusējuma Piwigo ir reģistrjutīgs:
+Lielie un mazie burti, veidojot vārdus pie reģistrācijas, tiek uztverti kā atsevišķas rakstzīmes. Tādējādi, &quot;Foo&quot;,
+&quot;foo&quot; un &quot;FOO&quot; var būt 3 atšķirīgi lietotāji.<br><br>
+Šīs opcijas iespējošana ļauj izanalizēt visas iespējas &quot;foo&quot; kā viena lietotāja gadījumā. Ja &quot;foo&quot; jau eksistē, jauna lietotāja &quot;Foo&quot; izveidošana tiks noraidīta.<br><br>
+<b style=&quot;color: red;&quot;>Uzmanību: Šī opcija neattiecas uz lietotājvārdiem, kas izveidoti pirms šīs opcijas aktivēšanas.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.2
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.4
+$lang['UAM_restricTitle_d'] = '
+- Rakstzīmes izslēgšana<br>
+- Paroles izpilde<br>
+- E-pasta domēnu izslēgšana<br>
 ...
 ';
-/*TODO*/$lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
-Examples :<br>
-@hotmail.com -> excluding addresses *@hotmail.com<br>
-@hotmail -> excluding all addresses *@hotmail*';
-/*TODO*/$lang['UAM_infotxtTitle_d'] = 'Enter the introductory text that you want to appear in the information email.<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-/*TODO*/$lang['UAM_confirmtxtTitle_d'] = 'Enter the introductory text that you want to appear in the email confirmation of registration.<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-/*TODO*/$lang['UAM_confirmmail_custom1_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>acceptance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
-After installing the plugin, a standard text is set as an example.<br>
-This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
-/*TODO*/$lang['UAM_confirmmail_custom2_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>rejectance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
-After installing the plugin, a standard text is set as an example.<br>
-This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
-/*TODO*/$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the validation key regenerated.<br><br>
-If left blank, the mail reminder will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example)<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-/*TODO*/$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a validation key regenerated.<br><br>
-If left blank, the mail reminder will be empty. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example)<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-/*TODO*/$lang['UAM_gttextTitle_d'] = 'Enter the text you want to appear in the email reminder to prompt the user to return to visit your gallery (NB: The text pre-filled with the installation of the plugin is provided as an example).<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-/*TODO*/$lang['UAM_GTAutoTitle'] = 'Automatic management of ghosts users';
-/*TODO*/$lang['UAM_GTAutoTitle_d'] = 'This option allows to apply rules for automated management of ghosts users.
-<br><br>Basic Principle: A user who reaches the maximum time between visits <b><u>and</u></b> has already been notified by email is considered as expired. Then you can apply automated processing rules such as automatic deletion of expired accounts or demotion by restricting access to the gallery (switch automatically to a restricted group and/or status).
-<br><br>The triggering of these automation is achieved when connecting users (any user!) to the gallery.';
-/*TODO*/$lang['UAM_GTAutoDelTitle'] = 'Custom message on deleted account';
-/*TODO*/$lang['UAM_GTAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.<br><br>
-Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
-/*TODO*/$lang['UAM_GTAutoGpTitle'] = 'Automatic change of group / status';
-/*TODO*/$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group or status equivalent to a demotion of the accounts involved and working on the same principle as the group or the status of validation (see &quot;Setting confirmations and validations of registration&quot;). Therefore be to define a group and / or status demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status.<br><br>
-<b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
-/*TODO*/$lang['UAM_GTAutoMailTitle'] = 'Automatically sending an email when changing group / status';
-/*TODO*/$lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
-<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
-<br><br>Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
-<br><br>To use multiple languages, you can use the Extended description plugin\'s tags if it is active.
-<br><br><b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
-/*TODO*/$lang['UAM_AdminValidationMail'] = 'Notification of manual registration validation';
-/*TODO*/$lang['UAM_AdminValidationMail_d'] = 'When an administrator or Webmaster of the gallery manually valid registration pending, a notification email is automatically sent to the user. Enter here the text that appears in this email.<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_userlistTitle_d'] = 'Šī lapa domāta administratoru informēšanai. Tajā ir visu galerijā reģistrēto lietotāju saraksts ar to reģistrācijas datumu un apmeklējumu skaitu dienās līdz pēdējai vizītei. Saraksts sakārtots pēc dienu skaita dilstošā secībā.
+<br><br>
+<b><u>Tikai tad, kad Ghost Tracker ir aktīvs</u></b>, dienu skaits bez apmeklējuma parādās kā sekojošs krāsu kods, pamatojoties uz Ghost Tracker opcijas maksimālajiem iestatījumiem:
+<br>
+- <b style=&quot;color: lime;&quot;>Zaļa</b> : Kad lietotājs apmeklējis galeriju <b style=&quot;color: lime;&quot;><u>mazāk par 50%</u></b> no Ghost Tracker norādītā maksimuma.<br>
+- <b style=&quot;color: orange;&quot;>Oranža</b> : Kad lietotājs apmeklējis galeriju <b style=&quot;color: orange;&quot;><u> starp 50% un 99% </u></b> no Ghost Tracker norādītā maksimuma. <br>
+- <b style=&quot;color: red;&quot;>Sarkana</b> : Kad lietotājs apmeklējis galeriju <b style=&quot;color: red;&quot;><u>vairāk kā 100%</u></b> no Ghost Tracker norādītā maksimuma. <b><u>Šajā gadījumā lietotājam jāparādas arī Ghost Tracker tabulā.</u></b><br>
+<br>
+Piemērs :
+<br>
+Maksimālais Ghost Tracker konfigurācijas periods ir 100 dienas.
+<br>
+Lietotājs būs zaļā krāsā, ja būs apmeklējis galeriju mazāk par 50 dienām, oranžā, ja apmeklējums būs starp 50 un 99 dienām, bet sarkanā, ja 100 un vairāk dienu.
+<br><br>
+<b>NOTE</b>: Saraksts neatspoguļo tos, kuri nav validējuši savu reģistrāciju (ja aktīva reģistrācijas validācijas opcija). Šie lietotāji, tad tiek pārvaldīti īpašā veidā caur &quot;Tracking validations&quot; iezīmi.
+<br><br>
+<b>Table Sorting Function</b>: Iespējams kārtot attēlojamos datus noklikšķinot uz tabulas galvenēm. Pieturot SHIFT var kārtot pēc maksimums 4 kolonām vienlaicīgi.';
+$lang['UAM_usermanTitle_d'] = 'Kad iespējota reģistrācijas ierobežošana pēc laika, zemāk atradīsit to lietotāju sarakstu, no kuriem tiek gaidīta reģistrācijas validācija, <b style=&quot;text-decoration:
+underline;&quot;>ir vai nav</b> laikā, lai validētos.<br><br>
+Lietotāja reģistrēšanās datums ir zaļā krāsā, ja lietotājs tiek uzskatīts par esošu reģistrācijas validācijas laika periodā. Šinī gadījumā validācijas atslēga vēl ir derīga un mēs varam nosūtīt jums e-pastu ar vai bez jaunās validācijas atslēgas.<br><br>
+Ja reģistrācijas datums parādās sarkanā krāsā, validācijas periods ir beidzies. Šinī gadījumā, ja gribat iespējot, lai lietotājs validē savu reģistrāciju, jums jāsūta e-pasts ar validācijas atslēgas reģenerāciju.<br><br>
+Visos gadījumos manuāli veikt validāciju.<br><br>
+Šajā logā jūs varat:
+<br><br>
+- Manuāli dzēst kontus <b>(manuālā drenēšana)</b>
+<br>
+- Ģenerēt e-atgādinātāja pastu  <b>bez</b> jaunas atslēgas ģenerēšanas. Brīdinājums:
+Sūta e-atgādinājumus mērķapmeklētājiem. Šī funkcija neizdzēš mērķlietotāju reģistrācijas datumu un taimauts joprojām ir spēkā.
+<br>
+- Ģenerēt E-atgādinātāja pastu <b>ar</b> jaunas atslēgas ģenerēšanu. Brīdinājums :
+Sūta e-atgādinājumus mērķapmeklētājiem. Šī funkcija atiestata mērķapmeklētāju reģistrācijas datumu, kas pielīdzināms validācijas termiņa pagarināšanai.
+<br>
+- Iesniegt reģistrācijas apstiprināšanu manuāli, pat ja derīguma termiņš ir beidzies <b>(piespiedu validācija)</b>.
+<br><br>
+<b>Table Sorting Function</b>: tabulas šķirošanas funkcija ļauj kārtot tabulu noklikšķinot uz tabulas galvenēm. Pieturot SHIFT var kārtot pēc maksimums 4 kolonām vienlaicīgi.';
+$lang['UAM_gtTitle_d'] = 'Ja Ghost Tracker ir iespējots un inicializēts, zemāk būs pieejams reģistrēto lietotāju saraksts, kuri nav atgriezušies pēc x dienām. &quot;x&quot; ir General Setup iezīmē konfigurētais dienu skaits. Bez tam, ir kolonna, kas norāda, vai mērķapmeklētājiem ir nosūtīts e-pasta atgādinājums. Tādējādi, uzmetot aci, būs redzami tie lietotāji, kuri nav ņēmuši vērā atgādinājumus.<br><br>Šajā logā jūs varat:
+<br><br>
+- Manuāli dzēst kontus <b>(manual drain)</b>
+<br>
+- Ģenerēt e-atgādinātāja pastu <b> atiestatot beidzamā apmeklējuma datumu</b>.
+Tas dot wildcard mērķapmeklētājiem. Ja apmeklētājs jau ir saņēmis atgādinājumu, nekas netraucē atsūtīt viņam jaunu e-pastu, kas no jauna atiestatīs beidzamā apmeklējuma datumu.
+<br><br>
+<b>Table Sorting Function</b>: tabulas šķirošanas funkcija ļauj kārtot tabulu noklikšķinot uz tabulas galvenēm. Pieturot SHIFT var kārtot pēc maksimums 4 kolonām vienlaicīgi.';
+$lang['UAM_confirmmailTitle'] = 'Reģistrācijas apstiprināšana';
+$lang['UAM_confirmmailTitle_d'] = 'Šī opcija dod iespēju lietotājam apstiprināt savu reģistrāciju ar pie reģistrācijas e-pastā saņemtās saites palīdzību vai to var izdarīt administrators manuāli.<br><br>
+Pirmajā gadījumā, e-vēstule tiek veidota no pielāgojamas ievadošās daļas un fiksētās daļas, kas satur aktivēšanas saiti, kas uzģenerēta no gadījuma atslēgas, ko iespējams reģenerēt izmantojot &quot;Tracking validations&quot; iezīmi.<br><br>
+Otrajā gadījumā, <b><u>validācijas atslēga ar e-pastu netiek sūtīta!</u></b>.
+Apmeklētājiem jāgaida līdz administrators personīgi veic viņu reģistrācijas validāciju caur &quot;Validation tracking&quot; iezīmi. Ieteicams aktivēt Piwigo optciju &quot;Email admins when a new user registers&quot; (skatīt Piwigo konfigurācijas iespējas) un izmantot &quot;Information
+email to user&quot; , lai brīdinātu jaunos reģistrantus par nepieciešamību sagaidīt kontu aktivāciju.
+<br>
+<b style=&quot;color: red;&quot;>NB: Opcijas &quot;Deadline for registration validation limited&quot; un &quot;Remind unvalidated users &quot; jāiestāda atslēgtā (off) stāvoklī, kad iespējota administratora manuālās validācijas funkcija.</b>
+<br><br>
+Šo iespēju parasti izmanto kopā ar grupas un/vai statūtu automātisku nozīmēšanu. Piemēram, lietotāji, kas nav validējuši savu reģistrāciju, tiks ielikti īpašā lietotāju grupā (ar vai bez ierobežojumie uz piekļuvi galerijai), kamēr lietotājs, kas ir apstiprinājis savu reģistrāciju tiks ielikts grupā &quot;normal&quot;.';
+$lang['UAM_RedirTitle'] = 'Novirzīt uz &quot;Customization&quot; lapu';
+// --------- End: New or revised $lang ---- from version 2.15.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.6
+$lang['UAM_RedirTitle_d'] = 'Šī opcija automātiski novirza reģistrēto lietotāju uz tā pielāgošanas lapu tikai pie pirmās viņa konekcijas galerijai. <br><br>
+Lūdzu ņemiet vērā: Šī iespēja neaatiecas uz visiem reģistrētajiem lietotājiem. Lietotāji ar &quot;admin&quot;, &quot;webmaster&quot; or &quot;generic&quot; statusu nav iekļauti.';
+// --------- End: New or revised $lang ---- from version 2.15.6
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.7
+/*TODO*/$lang['UAM_GTAutoTitle'] = 'Gestion automatique des utilisateurs
+fantomes';
+/*TODO*/$lang['UAM_GTAutoTitle_d'] = 'Cette option permet d\'appliquer
+des règles de gestion automatisée des visiteurs fantômes. Lorsque ce
+mode est actif, on partira du principe qu\'un visiteur ayant atteind la
+limite maximale entre deux visites et ayant déjà été notifié par mail
+est considéré comme expiré.';
+/*TODO*/$lang['UAM_GTAutoDelTitle'] = 'Suppression automatique des
+comptes expirés';
+/*TODO*/$lang['UAM_GTAutoDelTitle_d'] = 'Supprime automatiquement le
+compte d\'un utilisateur lorsque celui-ci est expiré. La suppression
+survient lors de la connexion de l\'utilisateur qui est alors redirigé
+vers une page annonçant que sont compte a été détruit. Un texte
+personnalisé peut être saisi dans le champ ci-dessous.<br>
+Ce champ est compatible avec l\'extension FCK Editor et, pour une
+utilisation multi-langues, vous pouvez utiliser les balises [lang] du
+plugin Extended Description si celui-ci est actif.<br><br>
+Note : Lorsque cette option est active, les autres règles automatiques
+ne sont pas accessibles.';
+/*TODO*/$lang['UAM_GTAutoGpTitle'] = 'Changement automatique de groupe /
+statut';
+/*TODO*/$lang['UAM_GTAutoGpTitle_d'] = 'Changement automatique de groupe
+/ statut';
+/*TODO*/$lang['UAM_GTAutoMailTitle'] = 'Emailing automatique des comptes
+expirés';
+/*TODO*/$lang['UAM_GTAutoMailTitle_d'] = 'Emailing automatique des
+comptes expirés';
+// --------- End: New or revised $lang ---- from version 2.15.7
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_mailexcTitle_d'] = 'Pēc noklusējuma Piwigo atbalsta visas e-pasta adreses formātā xxx@yyy.zz. Šīs opcijas iespējošana ļauj izslēgt no adresēm noteiktus domēnus formātā: @
+[domain_name].[domain_extension].<br><br>
+Piemēri :<br>
+@hotmail.com -> izņemot adreses *@hotmail.com<br>
+@hotmail -> izņemot visas adreses *@hotmail*';
+$lang['UAM_infotxtTitle_d'] = 'Ievadiet teksta, ko jūs gribat atspoguļot informācijas e-vēstulē, ievaddaļu.<br><br>
+Lai izmantotu vairākas valodas, jūs varat lietot Paplašinātā apraksta spraudņa tagus (gadījumā, ja tas ir aktīvs).';
+$lang['UAM_confirmtxtTitle_d'] = 'Ievadiet teksta, ko jūs gribat atspoguļot informācijas e-vēstulē, ievaddaļu.<br><br>
+Lai izmantotu vairākas valodas, jūs varat lietot Paplašinātā apraksta spraudņa tagus (gadījumā, ja tas ir aktīvs).';
+$lang['UAM_confirmmail_custom1_d'] = 'Tad, kas opcija &quot;Confirmation of registration&quot; ir aktīva, šis lauks ļauj jums pielāgot apstiprinājuma tekstu <b><u>acceptance text</u></b> reģistrācijas apstiprināšanas lapā, kas parādās, kad lietotājs uzklikšķina uz apstiprināšanas saites, ko viņš saņēmis ar e-pastu.<br>
+Pēc spraudņa uzinstalēšanas, kā piemērs tiek piedāvāts standarta teksta variants.<br>
+Šis lauks ir savietojams ar FCK Redaktoru un, multi-valodu režīmā, varat lietot Paplašināta apraksta (Extended description), gadījumā, ja tas ir aktīvs) [lang] iezīmes- tagus.';
+$lang['UAM_confirmmail_custom2_d'] = 'Tad, kad opcija &quot;Confirmation of registration&quot; ir aktīva, šis lauks ļauj jums pielāgot noraidījuma tekstu <b><u>rejectance text</u></b> > reģistrācijas apstiprināšanas lapā, kas parādās, kad lietotājs uzklikšķina uz apstiprināšanas saites, ko viņš saņēmis ar e-pastu.<br>
+Pēc spraudņa uzinstalēšanas, kā piemērs tiek piedāvāts standarta teksta variants.<br>
+Šis lauks ir savietojams ar FCK Redaktoru un, multi-valodu režīmā, varat lietot Paplašināta apraksta (Extended description), gadījumā, ja tas ir aktīvs) [lang] iezīmes- tagus.';
+$lang['UAM_remailtxt1Title_d'] = 'Ievadiet teksta, ko jūs gribat atspoguļot informācijas e-vēstulē, ievaddaļu, kā pielikumu reģenerētajai validācijas atslēgai.<br><br>
+Ja ir atstāts tukšs lauks, e-pasta atgādinātājs ietver sevī tikai validācijas saiti.
+Tādēļ ir ieteicams ietvert mazu skaidrojošu tekstu. (NB: Spraudni instalējot, aizpildītais teksts ir piedāvāts kā paraugs)<br><br>
+Lai izmantotu vairākas valodas, jūs varat lietot Paplašinātā apraksta spraudņa tagus (gadījumā, ja tas ir aktīvs).';
+$lang['UAM_remailtxt2Title_d'] = 'Ievadiet teksta, ko jūs gribat atspoguļot informācijas e-vēstulē, ievaddaļu bez validācijas atslēgas.<br><br>
+Ja ir atstāts tukšs lauks, e-pasta atgādinātājvēstule būs tukša. Tādēļ ir ieteicams ietvert mazu skaidrojošu tekstu.(NB: Spraudni instalējot, aizpildītais teksts ir piedāvāts kā paraugs)<br><br>
+Lai izmantotu vairākas valodas, jūs varat lietot Paplašinātā apraksta spraudņa tagus (gadījumā, ja tas ir aktīvs).';
+$lang['UAM_gttextTitle_d'] = 'Ievadiet tekstu , ko jūs gribat atspoguļot e-pasta atgādinājumā, lai atgādinātu lietotājam apmeklēt jūsu galeriju. (NB:
+Spraudni instalējot, aizpildītais teksts ir piedāvāts kā paraugs).<br><br>
+Lai izmantotu vairākas valodas, jūs varat lietot Paplašinātā apraksta spraudņa tagus (gadījumā, ja tas ir aktīvs).';
 // --------- End: New or revised $lang ---- from version 2.16.0
+
 ?>
